<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />

    <!-- font awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"
      integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <!-- font nunito -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;500;600;700;800;900&display=swap"
      rel="stylesheet"
    />

    <!-- my css -->
    <link rel="stylesheet" href="./assets/css/main.css" />
  </head>
  <body>
    <div class="container py-5">
      <div class="exercise-content card w-75 mx-auto">
        <div class="exercise-body">
          <div class="row">
            <div class="exercise-so-n">
              <form id="form-0">
                <div class="form-0_wrap">
                  <p>Bài tập tổng hợp JS</p>
                </div>
              </form>
            </div>
            <div class="exercise-nav-item text-center">
              <div class="accordion" id="accordionExample">
                <div class="card exercise-1">
                  <div class="card-header card-header-1" id="heading1">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-1 show active"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-1"
                        aria-expanded="false"
                        aria-controls="exercise-1"
                      >
                        Exercise 1: In một bảng số từ 1-100
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-1"
                    class="collapse show"
                    aria-labelledby="heading1"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-1_content exercise_content">
                        <form id="form-1" class="form">
                          <div class="form-group">
                            <label for="result-ex1">Kết quả</label>
                            <p id="result-ex1"></p>
                          </div>
                          <button onclick="inBangSo()">
                            In
                            <i class="fa-solid fa-print"></i>
                          </button>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-2">
                  <div class="card-header card-header-2" id="heading2">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-2"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-2"
                        aria-expanded="false"
                        aria-controls="exercise-2"
                      >
                        Exercise 2: In số nguyên tố
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-2"
                    class="collapse"
                    aria-labelledby="heading2"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-2_content exercise_content">
                        <form id="form-2" class="form form-ex-2">
                          <div class="form-group">
                            <label for="nhapmangsonguyen"
                              >Nhập mảng số nguyên</label
                            >
                            <input
                              type="number"
                              class="form-control"
                              id="nhapmangsonguyen"
                              placeholder="5"
                            />
                            <div class="form-group">
                              <label for="result-ex2_get-array">Kết quả</label>
                              <p id="result-ex2_get-array"></p>
                            </div>

                            <div class="exercise-2-btnwrap">
                              <button
                                class="exercise-2_btn_get-array"
                                onclick="getNumber()"
                              >
                                Nhập mảng
                                <i class="fa-solid fa-plus"></i>
                              </button>
                            </div>
                          </div>

                          <div class="form-group">
                            <label for="result-ex2">Kết quả</label>
                            <p id="result-ex2"></p>
                          </div>
                          <div class="exercise-2-btnwrap">
                            <button class="exercise-2_btn" onclick="inSoNt()">
                              In số nguyên tố
                              <i class="fa-solid fa-print"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-3">
                  <div class="card-header card-header-3" id="heading3">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-3"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-3"
                        aria-expanded="false"
                        aria-controls="exercise-3"
                      >
                        Exercise 3: Tính S=(2+3+4...+n)+2n
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-3"
                    class="collapse"
                    aria-labelledby="heading3"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-3_content exercise_content">
                        <form id="form-3" class="form form-ex-3">
                          <div class="form-group">
                            <label for="nhapgiatrin">Nhập giá trị n</label>
                            <input
                              type="number"
                              class="form-control"
                              id="nhapgiatrin"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="result-ex3">Kết quả</label>
                            <p id="result-ex3"></p>
                          </div>
                          <div class="exercise-3-btnwrap">
                            <button class="exercise-3_btn" onclick="tinhS()">
                              Tính S
                              <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-4">
                  <div class="card-header card-header-4" id="heading4">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-4"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-4"
                        aria-expanded="false"
                        aria-controls="exercise-4"
                      >
                        Exercise 4: Tính ước số của n
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-4"
                    class="collapse"
                    aria-labelledby="heading4"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-4_content exercise_content">
                        <form id="form-4" class="form form-ex-2">
                          <div class="form-group">
                            <label for="sonex4">Nhập số n</label>
                            <input
                              type="number"
                              class="form-control"
                              id="sonex4"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="result-ex4">Kết quả</label>
                            <p id="result-ex4"></p>
                          </div>
                          <div class="exercise-4-btnwrap">
                            <button
                              class="exercise-4_btn"
                              onclick="tinhUocSo()"
                            >
                              Tìm ước số
                              <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-5">
                  <div class="card-header card-header-5" id="heading5">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-5"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-5"
                        aria-expanded="false"
                        aria-controls="exercise-5"
                      >
                        Exercise 5: Đảo ngược số
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-5"
                    class="collapse"
                    aria-labelledby="heading5"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-5_content exercise_content">
                        <form id="form-5" class="form form-ex-2">
                          <div class="form-group">
                            <label for="sonex5">Nhập số n</label>
                            <input
                              type="number"
                              min="1"
                              class="form-control"
                              id="sonex5"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="result-ex5">Kết quả</label>
                            <p id="result-ex5"></p>
                          </div>
                          <div class="exercise-5-btnwrap">
                            <button
                              class="exercise-5_btn"
                              onclick="daoNguocSo()"
                            >
                              Đảo ngược
                              <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-6">
                  <div class="card-header card-header-6" id="heading6">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-6 show active"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-6"
                        aria-expanded="false"
                        aria-controls="exercise-6"
                      >
                        Exercise 6: Tìm số nguyên dương lớn nhất (Điều kiện:
                        1+2+3+...+x ≤ 100)
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-6"
                    class="collapse"
                    aria-labelledby="heading6"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-6_content exercise_content">
                        <form id="form-6" class="form">
                          <div class="form-group">
                            <label for="result-ex6">Kết quả</label>
                            <p id="result-ex6"></p>
                          </div>
                          <button onclick="timSoNdLonNhat()">
                            Tìm
                            <i class="fa-solid fa-arrow-right-arrow-left"></i>
                          </button>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-7">
                  <div class="card-header card-header-7" id="heading7">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-7"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-7"
                        aria-expanded="false"
                        aria-controls="exercise-7"
                      >
                        Exercise 7: In bảng cửu chương
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-7"
                    class="collapse"
                    aria-labelledby="heading7"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-7_content exercise_content">
                        <form id="form-7" class="form form-ex-7">
                          <div class="form-group">
                            <label for="sonex7">Nhập số n</label>
                            <input
                              type="number"
                              min="1"
                              class="form-control"
                              id="sonex7"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="result-ex7">Kết quả</label>
                            <p id="result-ex7"></p>
                          </div>
                          <div class="exercise-7-btnwrap">
                            <button class="exercise-7_btn" onclick="inBcc()">
                              In
                              <i class="fa-solid fa-arrow-up-9-1"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-8">
                  <div class="card-header card-header-8" id="heading8">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-8"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-8"
                        aria-expanded="false"
                        aria-controls="exercise-8"
                      >
                        Exercise 8: Chia bài
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-8"
                    class="collapse"
                    aria-labelledby="heading8"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-8_content exercise_content">
                        <form id="form-8" class="form form-ex-8">
                          <div class="form-group">
                            <label for="result-ex8">Kết quả</label>
                            <p id="result-ex8"></p>
                          </div>
                          <div class="exercise-8-btnwrap">
                            <button class="exercise-8_btn" onclick="chiaBai()">
                              Chia
                              <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-9">
                  <div class="card-header card-header-9" id="heading9">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-9"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-9"
                        aria-expanded="false"
                        aria-controls="exercise-9"
                      >
                        Exercise 9: Tìm số gà và chó
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-9"
                    class="collapse"
                    aria-labelledby="heading9"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-9_content exercise_content">
                        <form id="form-9" class="form form-ex-2">
                          <div class="form-group">
                            <label for="socon">Tổng số chó và gà</label>
                            <input
                              type="number"
                              min="1"
                              class="form-control"
                              id="socon"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="sochan">Thổng số chân</label>
                            <input
                              type="number"
                              min="1"
                              class="form-control"
                              id="sochan"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="result-ex9">Kết quả</label>
                            <p id="result-ex9"></p>
                          </div>
                          <div class="exercise-9-btnwrap">
                            <button
                              class="exercise-9_btn"
                              onclick="demSoGaCho()"
                            >
                              Tính
                              <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card exercise-10">
                  <div class="card-header card-header-10" id="heading10">
                    <h2 class="mb-0">
                      <button
                        class="btn btn-link btn-link-10"
                        type="button"
                        data-toggle="collapse"
                        data-target="#exercise-10"
                        aria-expanded="false"
                        aria-controls="exercise-10"
                      >
                        Exercise 10: Tính góc lệch giữa kim giờ và kim phút
                      </button>
                    </h2>
                  </div>

                  <div
                    id="exercise-10"
                    class="collapse"
                    aria-labelledby="heading10"
                    data-parent="#accordionExample"
                  >
                    <div class="card-body">
                      <div class="excercise-10_content exercise_content">
                        <form id="form-10" class="form form-ex-2">
                          <div class="form-group">
                            <label for="sogio">Số giờ</label>
                            <input
                              type="number"
                              min="0"
                              class="form-control"
                              id="sogio"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="sophut">Số phút</label>
                            <input
                              type="number"
                              min="0"
                              class="form-control"
                              id="sophut"
                              placeholder="5"
                            />
                          </div>

                          <div class="form-group">
                            <label for="result-ex10">Kết quả</label>
                            <p id="result-ex10"></p>
                          </div>
                          <div class="exercise-10-btnwrap">
                            <button
                              class="exercise-10_btn"
                              onclick="tinhGocLech()"
                            >
                              Tính
                              <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>

    <!-- my js -->
    <script src="./assets/js/main.js"></script>
  </body>
</html>
